ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-8098) Upgrade to 1.7.0 fails if Oozie was not installed with NPE
Date Sat, 01 Nov 2014 21:24:34 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-8098?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14193489#comment-14193489
] 

Hudson commented on AMBARI-8098:
--------------------------------

SUCCESS: Integrated in Ambari-branch-1.7.0-docker #57 (See [https://builds.apache.org/job/Ambari-branch-1.7.0-docker/57/])
AMBARI-8098. Upgrade to 1.7.0 fails if Oozie was not installed with NPE (aonishuk) (aonishuk:
http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=504fe667ca14b53a22548de10e70b7352263e04d)
* ambari-server/src/main/java/org/apache/ambari/server/upgrade/UpgradeCatalog170.java


> Upgrade to 1.7.0 fails if Oozie was not installed with NPE
> ----------------------------------------------------------
>
>                 Key: AMBARI-8098
>                 URL: https://issues.apache.org/jira/browse/AMBARI-8098
>             Project: Ambari
>          Issue Type: Bug
>            Reporter: Andrew Onischuk
>            Assignee: Andrew Onischuk
>             Fix For: 1.7.0
>
>
>     19:04:05,155 ERROR [main] SchemaUpgradeHelper:196 - Upgrade failed. 
>     java.lang.NullPointerException
>     	at org.apache.ambari.server.upgrade.UpgradeCatalog170.updateOozieConfigs(UpgradeCatalog170.java:1078)
>     	at org.apache.ambari.server.upgrade.UpgradeCatalog170.addMissingConfigs(UpgradeCatalog170.java:1043)
>     	at org.apache.ambari.server.upgrade.UpgradeCatalog170.executeDMLUpdates(UpgradeCatalog170.java:651)
>     	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeData(AbstractUpgradeCatalog.java:388)
>     	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:194)
>     	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:243)
>     19:04:05,159 ERROR [main] SchemaUpgradeHelper:252 - Exception occured during upgrade,
failed
>     org.apache.ambari.server.AmbariException
>     	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:197)
>     	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:243)
>     Caused by: java.lang.NullPointerException
>     	at org.apache.ambari.server.upgrade.UpgradeCatalog170.updateOozieConfigs(UpgradeCatalog170.java:1078)
>     	at org.apache.ambari.server.upgrade.UpgradeCatalog170.addMissingConfigs(UpgradeCatalog170.java:1043)
>     	at org.apache.ambari.server.upgrade.UpgradeCatalog170.executeDMLUpdates(UpgradeCatalog170.java:651)
>     	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeData(AbstractUpgradeCatalog.java:388)
>     	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:194)
>     	... 1 more
>     



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message